<?php 

define('H', $_SERVER['DOCUMENT_ROOT'].'/');
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';

if (isset($user)) {
  $ifuser = true;
} else {
  $ifuser = false;
}

$sex = 0;

require 'config.php';

$sexold = mysql_fetch_assoc(mysql_query("SELECT * FROM `sexwars` WHERE `active` = '0' ORDER BY `id` DESC LIMIT 1"));

if (isset($sexold['id'])) {
  $timeout = ($sexold['time_end'] + $config['timeout']);
  
  if ($timeout < $time) {
    unset($timeout);
  }
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `sexwars` WHERE `active` = '1'"), 0) == 0) {
  mysql_query("INSERT INTO `sexwars`(`time`, `active`) VALUES ('$time', '1')");
}

$sexwars = mysql_fetch_assoc(mysql_query("SELECT * FROM `sexwars` WHERE `active` = '1' LIMIT 1"));


$set['title'] = 'Битва полов';
include_once H.'sys/inc/thead.php';
title();
aut();
err();
?>
<link rel="stylesheet" href="css/main.css" type="text/css" />

<div class="mess center">
  <img src="images/logo.png" /><br />
  Добро пожаловать, в величайшую битву всех времен и народов - &laquo;Битву Полов&raquo;<br />
  В игре &laquo;Битва Полов&raquo; вам предстоит сражаться с противоположным полом, в этой беспощадной войне не может быть компромиссов, победить может только одна команда, которая быстрее аппонента наберёт 100 очков.
</div>
<?
if (isset($sexwars['id'])) {
  ?>  
  <div class="wars-menu">
    <img src="images/users.png" /> <a href="wars.php?id=<?= $sexwars['id']?>">Битва №<?= $sexwars['id']?></a>
  </div>
  <?
}
if ($ifuser && !isset($ank['id']) && $sexwars['active'] == 1) {
  ?>  
  <div class="wars-menu">
    <img src="images/fire-plus.png" /> <a href="wars.php?id=<?= $sexwars['id']?>&amp;start">Вступить в битву</a>
  </div>
  <?
}
?>
<div class="wars-menu">
  <img src="images/question-shield.png" /> <a href="info.php">Информация</a>
</div>
<?
if (isset($sexold['id']) && $sexold['active'] == 0) { ?>
  <div class="sex_chat">
    Победители последней битвы №<?= $sexold['id']?>
  </div>
  
  <div class="wars-over">
    <img src="images/trophy.png" /> Победители команда <b>&laquo;<?= ($sexold['win'] == 'male' ? 'Парней' : 'Девочек')?>&raquo;</b><br />
    <img src="images/alarm-clock.png" /> Время завершения <?= vremja($sexold['time_end'])?><br />
  </div>
  
  <? 
  $q = mysql_query("SELECT id_user, count(id) AS count
    FROM sexwars_weapons
    WHERE `id_tournament` = '$sexold[id]' AND `sex` = '$sexold[win]'
    GROUP BY id_user
    ORDER BY `count` DESC LIMIT 5");
  $num = 0;
  
  while($wars = mysql_fetch_assoc($q)) 
  {
    $num++;
    ?>
    <div class="sex_menu">
      <?= $num?>) <img src="images/medal-<?= $num?>.png" /> <?= user::nick($wars['id_user'], 1, 1, 1)?> <?= des2num($wars['count'], array('очко', 'очка', 'очков'))?>
    </div>
    <?
  }
}

?>
<div class="sex_chat">
  Завершенные битвы &laquo;Война Полов&raquo;
</div>
<?

$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `sexwars` WHERE `active` = '0'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

?><table class="post"><?

if ($k_post == 0)
{
	?>
  <div class="mess" id="no_object">
	  Завершенных битв еще не было
	</div>
  <?
}

$q = mysql_query("SELECT * FROM `sexwars` WHERE `active` = '0' ORDER BY id DESC LIMIT $start, $set[p_str]");

$num = 0;

while ($post = mysql_fetch_assoc($q))
{
	$num++;
	?>
  <div class="sex_menu">
    <a href="wars.php?id=<?= $post['id']?>"><img src="images/shield-minus.png" /> Битва №<?= $post['id']?></a><br />
    Завершена <?= vremja($post['time_end'])?><br />
	</div>
  <?
}

?></table><?

if ($k_page > 1) {
  str('?', $k_page, $page);
}

include_once H.'sys/inc/tfoot.php';